Change Card PIN
curl --request PUT \
--url https://api.sandbox.sudo.cards/cards/{id}/pin \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"oldPin": "<string>",
"newPin": "<string>"
}
'import requests
url = "https://api.sandbox.sudo.cards/cards/{id}/pin"
payload = {
"oldPin": "<string>",
"newPin": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({oldPin: '<string>', newPin: '<string>'})
};
fetch('https://api.sandbox.sudo.cards/cards/{id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Card PIN changed successfully.",
"data": {
"_id": "6418eb71a37e405064694518",
"isDefaultPINChanged": true
}
}{
"statusCode": 400,
"message": "Incorrect old PIN.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}Cards
Change Card PIN
Change PIN for a specific card. Available for both Verve and AfriGo (physical and virtual) cards.
PUT
/
cards
/
{id}
/
pin
Change Card PIN
Authorizations
Path Parameters
The _id of the card to update.
Body
application/json
⌘I
